# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl test.pl'

######################### We start with some black magic to print on failure.

# Change 1..1 below to 1..last_test_to_print .
# (It may become useful if the test is moved to ./t subdirectory.)

BEGIN { $| = 1; print "1..1\n"; }
END {print "not ok 1\n" unless $loaded;}
use DBIF;
DBIF::getconf '/home/bj/src/C/VxMail/VxMail-1.45/test.conf';
$loaded = 1;
print "ok 1\n";

######################### End of black magic.

# Insert your test code below (better if it prints "ok 13"
# (correspondingly "not ok 13") depending on the success of chunk 13
# of the test code):

$db = DBIF::create ('/home/bj/xyz.db', 0600);
print "", ($db ? "" : "not "), "ok 2\n";
DBIF::set ($db, 'me@xyz', 'PASSWD', 'FOLDER', RT_USER, 5000*1024, 1000*1024);
print "", ($db ? "" : "not "), "ok 3\n";
@retval = DBIF::get ($db, 'me@xyz');
print "", (@retval ? "" : "not "), "ok 4\n";
if (@retval) { print "\@retval = ('", join("', '", @retval), "')\n"; }
DBIF::close ($db);
print "", ($db ? "" : "not "), "ok 5\n";
