/* calc_fsize.h
**
** calculating the size of the folder data depending on the
** record type.
**
*/
#ifndef _CALC_FSIZE_H
#define _CALC_FSIZE_H

#include <sys/types.h>

static __inline__ size_t calc_fsize (int rt, char *fld)
{
    size_t fll, sl;
    if (rt == RT_LLINK) {
	int mx = ((int) *fld++) + 1, ix;
	for (fll = 1, ix = 0; ix < mx; ++ix) {
	    sl = strlen (fld) + 1; fll += sl; fld += sl;
	}
    } else {
	fll = strlen (fld) + 1;
    }
    return fll;
}

#endif /* !defined(_CALC_FSIZE_H) */
